"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable
const xslLexer_1 = require("./xslLexer");
const vscode = require("vscode");
const xslLexer_2 = require("./xslLexer");
const path = require("path");
class FullDocumentLinkProvider {
    constructor(languageConfig) {
        this.lexer = new xslLexer_2.XslLexer(languageConfig);
    }
    provideDocumentLinks(document, token) {
        this.lexer.analyse(document.getText());
        this.lexer.globalInstructionData;
        let data = this.lexer.globalInstructionData;
        let result = [];
        data.forEach((instruction) => {
            if (instruction.type === xslLexer_1.GlobalInstructionType.Import || instruction.type === xslLexer_1.GlobalInstructionType.Include) {
                const basePath = path.dirname(document.fileName);
                const resolvedPath = path.resolve(basePath, instruction.name);
                const uri = vscode.Uri.parse(resolvedPath);
                const startPos = new vscode.Position(instruction.token.line, instruction.token.startCharacter);
                const endPos = new vscode.Position(instruction.token.line, instruction.token.startCharacter + (instruction.token.length + 2));
                const link = new vscode.DocumentLink(new vscode.Range(startPos, endPos), uri);
                result.push(link);
            }
        });
        return result;
    }
}
exports.FullDocumentLinkProvider = FullDocumentLinkProvider;
//# sourceMappingURL=fullDocumentLinkProvider.js.map