"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable
const xslLexerLight_1 = require("./xslLexerLight");
const languageConfigurations_1 = require("./languageConfigurations");
const fs = require("fs");
class GlobalsProvider {
    static provideGlobals(href) {
        return __awaiter(this, void 0, void 0, function* () {
            let lexer = new xslLexerLight_1.XslLexerLight(languageConfigurations_1.XSLTLightConfiguration.configuration);
            let data = [];
            if (href.length === 0) {
                return { data: data, error: true };
            }
            try {
                // TODO: USE VSCODE API (but it needs a URI not a filepath) e.g. 
                //const t = vscode.workspace.fs.readFile
                const text = fs.readFileSync(href).toString('utf-8');
                data = lexer.analyseLight(text);
                return { data: data, error: false };
            }
            catch (e) {
                return { data: data, error: true };
            }
        });
    }
    static fileExists(file) {
        return new Promise((resolve, _reject) => {
            fs.exists(file, (exists) => {
                if (exists) {
                    fs.stat(file, (err, stats) => {
                        resolve(stats.isFile());
                    });
                }
                else {
                    resolve(exists);
                }
            });
        });
    }
}
exports.GlobalsProvider = GlobalsProvider;
//# sourceMappingURL=globalsProvider.js.map