"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable
const xpLexer_1 = require("./xpLexer");
const diagnostics_1 = require("./diagnostics");
// -------------
let testXpath = `let $ac := function($a) as function(*) {function($b) {$b + 1}} return $a`;
let testTitle = `declaration`;
let generateTest = true;
let timerOnly = false;
// =============
generateTest = timerOnly ? false : generateTest;
let debugOn;
if (timerOnly) {
    debugOn = false;
    testXpath = testXpath.repeat(5000);
}
else {
    debugOn = !generateTest;
}
let lexer = new xpLexer_1.XPathLexer();
lexer.debug = debugOn;
lexer.timerOn = timerOnly;
let pos = { line: 0, startCharacter: 0, documentOffset: 0 };
let tokens = lexer.analyse(testXpath, xpLexer_1.ExitCondition.CurlyBrace, pos);
if (generateTest) {
    diagnostics_1.Debug.printMinSerializedTokens(testTitle, testXpath, tokens);
}
else if (timerOnly) {
    console.log("XPath length: " + testXpath.length);
    console.log("Token Count:" + tokens.length);
}
else {
    console.log('---------------');
    console.log(testXpath);
    console.log('---------------');
    diagnostics_1.Debug.printResultTokens(tokens);
    console.log('===============');
    diagnostics_1.Debug.printTokenValues(testXpath, tokens);
}
//# sourceMappingURL=xpLexerRun.js.map