"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const vscode = require("vscode");
class XPathDocumentChangeHandler {
    onDocumentChange(e) {
        return __awaiter(this, void 0, void 0, function* () {
            let activeChange = e.contentChanges[0];
            if (!activeChange) {
                return;
            }
            let triggerSuggest = false;
            let skipTrigger = false;
            if (activeChange.text === '/' && activeChange.rangeLength === 0) {
                let prevChar = e.document.getText().charAt(activeChange.rangeOffset - 1);
                if (activeChange.text.endsWith('/')) {
                    skipTrigger = true;
                }
                else {
                    triggerSuggest = true;
                }
            }
            if (!skipTrigger && activeChange.rangeOffset > 10) {
                let prevChar = e.document.getText().charAt(activeChange.rangeOffset - 1);
                if ((prevChar === '\n' || prevChar === ' ') && activeChange.text === 'x') {
                    triggerSuggest = true;
                }
                else if ((prevChar === '"' || prevChar === '(') && activeChange.text.length === 1 && ['[', '(', '{', '?', '"', '\''].indexOf(activeChange.text) === -1) {
                    triggerSuggest = true;
                }
            }
            if (triggerSuggest || activeChange.text === ' ' || activeChange.text === '(' || activeChange.text === '[' || activeChange.text === '!' || activeChange.text === '$' || activeChange.text === '<') {
                setTimeout(() => {
                    vscode.commands.executeCommand('editor.action.triggerSuggest');
                }, 10);
                return;
            }
        });
    }
}
exports.XPathDocumentChangeHandler = XPathDocumentChangeHandler;
//# sourceMappingURL=xpathDocumentChangeHandler.js.map